FileControllerAddRecentlyUsed Method |
PUT /File/RecentlyUsed/{id}
Adds the given file ID to the list of recently used items.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("RecentlyUsed")]
public IActionResult AddRecentlyUsed(
Guid id,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("RecentlyUsed")>
Public Function AddRecentlyUsed (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"RecentlyUsed")]
IActionResult^ AddRecentlyUsed(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("RecentlyUsed")>]
member AddRecentlyUsed :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to add. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A value indicating whether the item was added or not, or a status code indicating a problem, or an empty array if no results were found.
See Also